Skip to navigation

Reprovision Machine DPUs

View as Markdown

Trigger DPU reprovisioning for a Machine. Before calling this operation, create a Machine health report containing an alert whose ID is HostUpdateInProgress and whose classifications include PreventAllocations. When an Instance is attached to the Machine, acknowledgeAttachedInstance must be true.

For Infrastructure Providers: Org must have an Infrastructure Provider entity and own the Site that the Machine belongs to. User must have authorization role with PROVIDER_ADMIN suffix.

For Tenants: Org must have a Tenant with TargetedInstanceCreation capability enabled and Tenant Account with Machine’s Provider. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
machineIdstringRequired
ID of the Machine

Request

This endpoint expects an object.
modeenumRequired

Use Set to start reprovisioning, Clear to remove a pending request, or Restart to restart DPUs that already have a request. Restart accepts a host Machine ID only.

Allowed values:
acknowledgeAttachedInstancebooleanOptional
Acknowledges that an Instance is currently attached to the Machine and this action may disrupt Tenant workload on the Instance.
updateFirmwarebooleanOptionalDefaults to falseDeprecated
Deprecated compatibility field. Firmware is always verified and updated during reprovisioning.

Response

DPU reprovisioning request was accepted
messagestring

Human-readable outcome of the request

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error